## Apache Zeta Components Manual :: Docs For Class ezcDocumentPdfHeaderPdfPart

### Document::ezcDocumentPdfHeaderPdfPart

### Class ezcDocumentPdfHeaderPdfPart

Just an alias for the footer class, but will be positioned on the top of a page by default.

A header, or any other PDF part, can be registered for rendering in the main PDF class using the registerPdfPart() method, like:

1. $pdf=new ezcDocumentPdf ();
3. // Add a customized footer
4. $pdf->registerPdfPart(new ezcDocumentPdfHeaderPdfPart (
5. new ezcDocumentPdfFooterOptions (array(
6. 'showPageNumber'=>false,
7. 'height'=>'10mm',
8. ) )
9. ) );
11. $pdf->createFromDocbook($docbook);
12. file_put_contents (__FILE__ .'.pdf',$pdf);

Since it is just an alias class for the ezcDocumentPdfFooterPdfPart it is also confugured by using the ezcDocumentPdfFooterOptions class.

Source for this file: /Document/src/document/pdf/part/header.php

    ezcDocumentPdfPart
       |
       --ezcDocumentPdfFooterPdfPart
          |
          --ezcDocumentPdfHeaderPdfPart

Version: | //autogen//

### Inherited Member Variables

From ezcDocumentPdfFooterPdfPart
protected | `ezcDocumentPdfFooterPdfPart::$document`
protected | `ezcDocumentPdfFooterPdfPart::$documentAuthor`
protected | `ezcDocumentPdfFooterPdfPart::$documentTitle`
protected | `ezcDocumentPdfFooterPdfPart::$options`
From ezcDocumentPdfPart
protected | `ezcDocumentPdfPart::$driver`
protected | `ezcDocumentPdfPart::$renderer`
protected | `ezcDocumentPdfPart::$styles`

### Method Summary

public ezcDocumentPdfHeaderPdfPart | `__construct( [ $options = null] )` Create a new footer PDF part.

### Inherited Methods

From ezcDocumentPdfFooterPdfPart
public ezcDocumentPdfFooterPdfPart | `ezcDocumentPdfFooterPdfPart::__construct()` Create a new footer PDF part
public void | `ezcDocumentPdfFooterPdfPart::hookDocumentCreation()` Hook on document creation
public void | `ezcDocumentPdfFooterPdfPart::hookPageCreation()` Hook on page creation
From ezcDocumentPdfPart
public void | `ezcDocumentPdfPart::hookDocumentCreation()` Hook on document creation
public void | `ezcDocumentPdfPart::hookDocumentRendering()` Hook on document rendering
public void | `ezcDocumentPdfPart::hookPageCreation()` Hook on page creation
public void | `ezcDocumentPdfPart::hookPageRendering()` Hook on page rendering
public void | `ezcDocumentPdfPart::registerContext()` Registration function called by the renderer.

### Methods

#### __construct

ezcDocumentPdfHeaderPdfPart __construct( [ezcDocumentPdfFooterOptions $options = null] )

Create a new footer PDF part.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$options` | ezcDocumentPdfFooterOptions |

##### Redefinition of:

Method | Description
--- | ---
`ezcDocumentPdfFooterPdfPart::__construct()` | Create a new footer PDF part

Documentation generated by phpDocumentor 1.4.3